Quantcast

AltoOS and AltosDroid 1.6.4 released

The Rocketry Forum

Help Support The Rocketry Forum:

keithp

Well-Known Member
Joined
Aug 20, 2010
Messages
387
Reaction score
7
Links:

AltOS fixes:
  • Fix hardware flow control on TeleBT v1.0. Hardware RTS/CTS doesn't seem to work, switch from using the hardware to driving these pins with software. If you've got a TeleBT v1.0 device and are planning on using the new AltosDroid idle mode features, you'll need to reflash your TeleBT with this update.
  • Fix USB connections to work across host computer reboots.
AltosUI, TeleGPS and AltosDroid New Features:
  • Automatically switch from meters or feet to kilometers or miles for distance units.
  • Add Monitor Idle mode to TeleGPS application.
AltosDroid 1.6.4 also represents the first production version toinclude the features from AltOS 1.6.3:
  • Monitor Idle mode. Check state of flight computer while in idle mode over the radio link
  • Fire Igniters. Remotely fire igniters for recovery system ground tests.
  • Remote reboot. Cause the flight computer to reboot over the radio link.
  • Configurable frequency menu. Change the set of available frequencies and provide more descriptive names.
Existing AltosDroid users should get notified about the new version.
Find more information on all Altus Metrum products at http://altusmetrum.org.
 

woferry

Well-Known Member
Joined
Oct 9, 2013
Messages
803
Reaction score
26
Location
San Jose, CA
FYI, the last two macOS packages at least (1.6.3 and 1.6.4) have failed Gatekeeper, complaining that the app is damaged and needs to be trashed. I was able to work around this with 'xattr -d -r com.apple.quarantine' for the .app file, but I'm curious why this is happening and if there's anything that can be done to fix it. Seems like there's a bad signature or something, or it's somehow gotten on a black-list? I have no issues with other downloaded apps, sometimes I have to do the ctrl-click Open the first time to make Gatekeeper happy, but I haven't had it tell me that any other apps are damaged before (this kept the usual ctrl-click Open trick that works fine with other apps from working here).
 

keithp

Well-Known Member
Joined
Aug 20, 2010
Messages
387
Reaction score
7
FYI, the last two macOS packages at least (1.6.3 and 1.6.4) have failed Gatekeeper, complaining that the app is damaged and needs to be trashed..
We're not signing the MacOS package,so you'll have to change your security settings to let it run.
 

woferry

Well-Known Member
Joined
Oct 9, 2013
Messages
803
Reaction score
26
Location
San Jose, CA
But I don't have to change my settings for anyone else's unsigned apps, so it seems there's something you're doing wrong here. Too many people resort to "just turn off Gatekeeper", which is totally wrong since all you need to do is override the launch once by selecting Open from the contextual menu, Gatekeeper confirms that you really want to launch that app and it won't bother you again and you don't have to make your entire system insecure to do it. But this is the only app I've ever seen it complain that the file is damaged, so something is very wrong here that I suspect is something easy to fix since everybody else seems to get it right.
 

dixontj93060

Well-Known Member
Joined
Feb 20, 2009
Messages
13,083
Reaction score
19
But I don't have to change my settings for anyone else's unsigned apps, so it seems there's something you're doing wrong here. Too many people resort to "just turn off Gatekeeper", which is totally wrong since all you need to do is override the launch once by selecting Open from the contextual menu, Gatekeeper confirms that you really want to launch that app and it won't bother you again and you don't have to make your entire system insecure to do it. But this is the only app I've ever seen it complain that the file is damaged, so something is very wrong here that I suspect is something easy to fix since everybody else seems to get it right.
+1. Why the heck isn't it Apple compatible? Too much $'s?
 

FredT

Well-Known Member
Joined
Jan 22, 2009
Messages
300
Reaction score
19
Keith-

I have both a TeleBT 1.0 and TeleDongle V0.2 so both need update to V1.6.4 firmware and I can use one to program the other. The documented process seems straight forward until I get to step 7:

7. Pick the TeleDongle v0.2 or TeleBT v1.0 device from the list, identifying it as the programming device.

How does one identify it as the "programming device"? Does the act of selecting it, in fact, identifies it as the programmer?

Thanks.

...Fred
 

keithp

Well-Known Member
Joined
Aug 20, 2010
Messages
387
Reaction score
7
How does one identify it as the "programming device"? Does the act of selecting it, in fact, identifies it as the programmer?
The programming cable is assymetrical; the 8-pin end plugs into the 'programming device' and the 4-pin end plugs into the target device.
 

FredT

Well-Known Member
Joined
Jan 22, 2009
Messages
300
Reaction score
19
Ok, thought there wouldn't be a problem since these devices are incapable of programming themselves. Just me being overly cautious, didn't want to risk bricking a device I'll need at URRF next weekend. Knew I'd get a quick answer.
 

keithp

Well-Known Member
Joined
Aug 20, 2010
Messages
387
Reaction score
7
Just me being overly cautious, didn't want to risk bricking a device.
The best feature of 'pair programming' is that you can't brick a device as you're using the hardware programming function built into the chip. Either it works and you can reprogram devices at will, or it doesn't and you can't program them at all.
 

thomas

Well-Known Member
Joined
Dec 16, 2011
Messages
288
Reaction score
5
Hey Keith,
I have flashed all my devices but I had a problem flashing the TeleMega v1.0 .
I could not flash it with windows, there was an error "Com port not available".
I am pretty sure everything is installed, because I can configure the TeleMega over USB.
This seems to be the same problem which prevented configuring the TeleMega v1.0 with the first firmware version under Windows.

I have flashed it now using Linux which worked without a problem.
 

keithp

Well-Known Member
Joined
Aug 20, 2010
Messages
387
Reaction score
7
Hey Keith,
I could not flash it with windows, there was an error "Com port not available".
Flashing the device involves rebooting it to flash loader mode, which disconnects it from USB and then reconnects. Windows is so slow at recognizing new devices that sometimes the flashing code times out. As long as you don't unplug the device or reboot the computer, it will stay in flash loader mode, which means that simply re-trying the flashing sequence will usually work fine.
 

blackjack2564

Crazy Jim's Gone Banana's
TRF Supporter
Joined
Jan 18, 2009
Messages
9,061
Reaction score
1,163
Location
Savannah Ga
I run El Captain and had no problem downloading or opening.
I did have to load Java 6 for it to recognize the app.
But I had to do same thing for Stratologger veiwer.

I did it when using Mavericks, but after updating to El Capitain had to reload Java 6 from Java archives.
After that all is fine.
 
Top